import 'package:flutter/material.dart';

import 'package:minehunter/provider/data.dart';

class GameModeIndicatorWalk extends StatelessWidget {
  const GameModeIndicatorWalk({super.key, required this.myProvider});

  final Data myProvider;

  @override
  Widget build(BuildContext context) {
    final String reportModeSuffix = myProvider.reportMode ? 'off' : 'on';

    return TextButton(
      child: Image(
        image: AssetImage(
            'assets/skins/${myProvider.parameterSkin}_indicator_walk_$reportModeSuffix.png'),
        fit: BoxFit.fill,
      ),
      onPressed: () => myProvider.updateReportMode(false),
    );
  }
}
