import 'package:flutter/material.dart';

import 'package:minehunter/provider/data.dart';
import 'package:minehunter/utils/game_utils.dart';

class RestartGameButton extends StatelessWidget {
  const RestartGameButton({super.key, required this.myProvider});

  final Data myProvider;

  @override
  Widget build(BuildContext context) {
    return TextButton(
      child: const Image(
        image: AssetImage('assets/icons/button_back.png'),
        fit: BoxFit.fill,
      ),
      onPressed: () => GameUtils.quitGame(myProvider),
    );
  }
}
